# psputility_netparam.h File Reference

`#include <psptypes.h>`

Include dependency graph for psputility_netparam.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

union | netData
| Datatype for sceUtilityGetNetParam since it can return a u32 or a string we use a union to avoid ugly casting. More...

## Defines

#define | PSP_NETPARAM_NAME 0
#define | PSP_NETPARAM_SSID 1
#define | PSP_NETPARAM_SECURE 2
#define | PSP_NETPARAM_WEPKEY 3
#define | PSP_NETPARAM_IS_STATIC_IP 4
#define | PSP_NETPARAM_IP 5
#define | PSP_NETPARAM_NETMASK 6
#define | PSP_NETPARAM_ROUTE 7
#define | PSP_NETPARAM_MANUAL_DNS 8
#define | PSP_NETPARAM_PRIMARYDNS 9
#define | PSP_NETPARAM_SECONDARYDNS 10
#define | PSP_NETPARAM_PROXY_USER 11
#define | PSP_NETPARAM_PROXY_PASS 12
#define | PSP_NETPARAM_USE_PROXY 13
#define | PSP_NETPARAM_PROXY_SERVER 14
#define | PSP_NETPARAM_PROXY_PORT 15
#define | PSP_NETPARAM_UNKNOWN1 16
#define | PSP_NETPARAM_UNKNOWN2 17
#define | PSP_NETPARAM_ERROR_BAD_NETCONF 0x80110601
#define | PSP_NETPARAM_ERROR_BAD_PARAM 0x80110604

## Functions

int | sceUtilityCheckNetParam (int id)
| Check existance of a Net Configuration.
int | sceUtilityGetNetParam (int conf, int param, netData *data)
| Get Net Configuration Parameter.

## Define Documentation

#define PSP_NETPARAM_ERROR_BAD_NETCONF 0x80110601

#define PSP_NETPARAM_ERROR_BAD_PARAM 0x80110604

#define PSP_NETPARAM_IP 5

#define PSP_NETPARAM_IS_STATIC_IP 4

#define PSP_NETPARAM_MANUAL_DNS 8

#define PSP_NETPARAM_NAME 0

#define PSP_NETPARAM_NETMASK 6

#define PSP_NETPARAM_PRIMARYDNS 9

#define PSP_NETPARAM_PROXY_PASS 12

#define PSP_NETPARAM_PROXY_PORT 15

#define PSP_NETPARAM_PROXY_SERVER 14

#define PSP_NETPARAM_PROXY_USER 11

#define PSP_NETPARAM_ROUTE 7

#define PSP_NETPARAM_SECONDARYDNS 10

#define PSP_NETPARAM_SECURE 2

#define PSP_NETPARAM_SSID 1

#define PSP_NETPARAM_UNKNOWN1 16

#define PSP_NETPARAM_UNKNOWN2 17

#define PSP_NETPARAM_USE_PROXY 13

#define PSP_NETPARAM_WEPKEY 3

## Function Documentation

int sceUtilityCheckNetParam | ( | int | id | ) |

Check existance of a Net Configuration.

Parameters:

  | id | - id of net Configuration (1 to n)

Returns:
  0 on success,

int sceUtilityGetNetParam | ( | int | conf,
|  | int | param,
|  | netData * | data
| ) |

Get Net Configuration Parameter.

Parameters:

  | conf | - Net Configuration number (1 to n) (0 returns valid but seems to be a copy of the last config requested)
  | param | - which parameter to get
  | data | - parameter data

Returns:
  0 on success,